All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Class LabelChangedEvent

    com.sas.table.LabelChangedEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  ColumnLabelChangedEvent, RowLabelChangedEvent

    public abstract class LabelChangedEvent

Defines an abstract base class for reporting changes to table labels.

See Also:
  `ColumnLabelChangedEvent`, `RowLabelChangedEvent`, Serialized Form

Field Summary
`int` | `count` The number of changed labels.
`int` | `index` The one-based identifier of the first (or only) changed label.

Constructor Summary
`LabelChangedEvent(java.lang.Object source, int index, int count)` Constructs an event to signal a change to a range of labels.

Method Summary

Methods inherited from class com.sas.collection.ContentsChangedEvent
`clone`

Field Detail

### index

    public final int index

  The one-based identifier of the first (or only) changed label.

### count

    public final int count

  The number of changed labels.

Constructor Detail

### LabelChangedEvent

    public LabelChangedEvent(java.lang.Object source,
                             int index,
                             int count)

  Constructs an event to signal a change to a range of labels. Labels index through index+count-1 will be considered changed.

  Parameters:
    `source` - The table model whose label(s) has changed.
    `index` - The one-based identifier of the first (or only) changed label.
    `count` - The number of changed labels.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.